Subject: Preserving the "RTP" acronym for Rapid Transport Protocol

From: "Marcia Peters (8-444-4380)" <[email-masked]>
Date: Wed, 29 Mar 95 10:22:42 EST

AIW members,

If your company is concurrently active in the IETF Audio/Video Transport
working group, and if you care about preserving the "RTP" acronym for
HPR's Rapid Transport Protocol, you might want to put in your two cents'
worth on this subject with the IETF group ([email-masked]).  It seems
to me that those of you who plan to ship HPR products can benefit from
the advance "marketing" that IBM has done to build customer awareness of
HPR benefits.  And RTP is part of it.

If you have an opinion on this, make yourself heard!

     Marcia

_________________________________________________________________________
 Marcia L. Peters, HPR SIG Chair            Marcia_Peters @ vnet.ibm.com
 Advanced Peer-to-Peer Networking
 IBM Corp., Dept. C74, Bldg. 664
 P.O. Box 12195                             Phone:         (919) 254-4380
 Research Triangle Park, NC 27709           Fax:           (919) 254-4975

-------------------------<< Referenced note >>-------------------------

 Date: Wed 29 Mar 95 01:03:26 PST
 From: Stephen Casner <[email-masked]>
 Subject: Re: Conflict for RTP acroynm
 To: [email-masked]

 Thanks to all of you who responded with opinions serious and comical
 on the RTP name question.  There seemed to be a unanimous lack of
 concern about the conflict if we decided not to change the name.  My
 own vote would be not to change it unless the powers that be say
 otherwise.

 If the name is to be changed, there were multiple votes for RTTP.
 This would be my second choice, too, notwithstanding Bob Stewart's
 very reasonable recommendation of a 4-letter acronym, not ending in
 P(rotocol) and making a pronouncable word.  RTTP fits the existing
 protocol title and has the advantage of being a small transition.

 But in particular, I wanted to respond to a few other comments.

   - that RTP is not really a transport protocol
   - that RTP is not really "real-time"

 I disagree with both of these statements.  First, even though RTP will
 often be integrated with the application, RTP does provide what I
 consider to be transport functionality.  To be more precise, the
 combination of UDP and RTP together provide what I think is a
 recognizable transport protocol while _neither_ one alone is.  UDP
 provides the addressing and checksumming functions, and RTP provides
 the sequencing and error control functions.  The reception feedback
 functions of RTCP should be considered and integral part of RTP, and
 these provide the analogue of flow control and congestion control in
 other transports.  Not exactly, of course, because we don't want the
 same service.

 Second, the notion of real time is central to RTP.  The timestamp
 field conveys the real time corresponding to the sampling of the data.
 The media timing is related to absolute time via the NTP timestamp in
 the SR packet.  The whole point of the protocol is to carry data for
 which the time of arrival is more important than the certainty of
 arrival.  True, RTP does not provide any "real-time guarantees", but
 that's not the only function that qualifies a protocol as real-time.

 Ross Finlayson suggested "M(ultim)edia Datagram Protocol" (MDP), but I
 hope that RTP is found to also be useful for applications one would
 not describe as "media", a notion that Wieland Holfelder also pointed
 out.
        -- Steve